class ThrowDemo {
	public static void main(String [] args) {
		Account ac = new Account();
		try {
			ac.deposit(-5000);
		}
		catch (IllegalArgumentException e) {
			System.out.println(e.getMessage() );
		}
		ac.withdraw(2000);
	}
}

class Account {
	int no;
	double balance;
	double deposit(double amt) throws IllegalArgumentException {
		if (amt <= 0) 
			throw new IllegalArgumentException("Amount to deposit must be greater than zero");
		balance += amt;
		return balance;
	} 

	double withdraw(double amt)  {
		if ( balance < amt) 
			throw new IllegalArgumentException("Amount exceeds balance");
		balance -= amt;
		return balance;
	}
}